Reviews & Rating By Location Report
curl --request POST \
--url https://api.birdeye.com/resources/v1/reports/rating/location \
--header 'Content-Type: application/json' \
--data '
{
"sourceAliases": [
"citysearch ",
"google"
],
"businessNumbers": [
"943967608",
"943476803"
],
"months": 12
}
'import requests
url = "https://api.birdeye.com/resources/v1/reports/rating/location"
payload = {
"sourceAliases": ["citysearch ", "google"],
"businessNumbers": ["943967608", "943476803"],
"months": 12
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceAliases: ['citysearch ', 'google'],
businessNumbers: ['943967608', '943476803'],
months: 12
})
};
fetch('https://api.birdeye.com/resources/v1/reports/rating/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"rating": 4.6,
"count": 132,
"milestone": "Smile dental",
"businessId": 943967608,
"state": "CA"
},
{
"rating": 3.2,
"count": 367,
"milestone": "Blaze Dental",
"businessId": 943589678,
"state": "CA"
}
]{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Reviews & Rating By Location
Reviews & Rating By Location gives an overall view of how many reviews, and the average ratings are associated with each location.
POST
/
v1
/
reports
/
rating
/
location
Reviews & Rating By Location Report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
Values can be 'count' or 'rating'.
'0' for ascending and '1' for descending order.
⌘I